#include "execute.h"
#include "d3q7.h"

int main(int argc, char* argv[])
{
	execute<D3Q7_SRT<D3Q7_M1>>(ADE);
	execute<D3Q7_MRT1<D3Q7_M1>>(ADE);
	execute<D3Q7_MRT2<D3Q7_M1>>(ADE);
	execute<D3Q7_CLBM1<D3Q7_M1>>(ADE);
	execute<D3Q7_CLBM2<D3Q7_M1>>(ADE);
}
